(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
  typeof define === 'function' && define.amd ? define('ngx-span-of-strings', ['exports', '@angular/core', '@angular/common'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-span-of-strings'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, core, common) { 'use strict';

  var NgxSpanOfStringsComponent = /** @class */ (function () {
      function NgxSpanOfStringsComponent() {
          this.stringArr = [];
          this.currentWordIndex = 0;
      }
      NgxSpanOfStringsComponent.prototype.ngOnInit = function () { };
      return NgxSpanOfStringsComponent;
  }());
  NgxSpanOfStringsComponent.decorators = [
      { type: core.Component, args: [{
                  selector: 'lib-ngx-span-of-strings',
                  template: "\n    <div class=\"typing-paragraph\" id=\"typing-paragraph\">\n      <span\n        *ngFor=\"let text of stringArr; let i = index\"\n        [class.shaded]=\"i < currentWordIndex\"\n        [class.active]=\"i === currentWordIndex\"\n        >{{ text }}</span\n      >\n    </div>\n  ",
                  styles: ["\n      .typing-paragraph {\n        max-width: min(700px, 90vw);\n        width: 100%;\n        overflow-y: scroll;\n        height: 100px;\n        background-color: white;\n        color: #000;\n        padding: 15px;\n        border-radius: 15px;\n        margin: 10px 0;\n      }\n\n      span.active {\n        color: #69f0ae;\n      }\n      span.shaded {\n        color: #d8d8d8;\n      }\n    "]
              },] }
  ];
  NgxSpanOfStringsComponent.ctorParameters = function () { return []; };
  NgxSpanOfStringsComponent.propDecorators = {
      stringArr: [{ type: core.Input }],
      currentWordIndex: [{ type: core.Input }]
  };

  var NgxSpanOfStringsModule = /** @class */ (function () {
      function NgxSpanOfStringsModule() {
      }
      return NgxSpanOfStringsModule;
  }());
  NgxSpanOfStringsModule.decorators = [
      { type: core.NgModule, args: [{
                  declarations: [NgxSpanOfStringsComponent],
                  imports: [
                      common.CommonModule
                  ],
                  exports: [NgxSpanOfStringsComponent]
              },] }
  ];

  /*
   * Public API Surface of ngx-span-of-strings
   */

  /**
   * Generated bundle index. Do not edit.
   */

  exports.NgxSpanOfStringsComponent = NgxSpanOfStringsComponent;
  exports.NgxSpanOfStringsModule = NgxSpanOfStringsModule;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-span-of-strings.umd.js.map
